{ config, pkgs, lib, ... }:
{
  # https://search.nixos.org/options?query=services.zfs

  imports = [ ./common-zfs.nix ];

  config = lib.mkIf (!config.virtualisation.isVmVariant) {

    # non legacy-mount
    systemd.services.zfs-mount.enable = true;
    boot.zfs.extraPools = [ "Meconium" ]; # import on boot

  };
}
